Bug 1792836 - "Update HTTP Proxy details" tasks ends up in paused state.
Summary: "Update HTTP Proxy details" tasks ends up in paused state.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.7.0
Assignee: James Jeffers
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1774324 1781128
TreeView+ depends on / blocked
 
Reported: 2020-01-20 07:07 UTC by Jameer Pathan
Modified: 2020-04-14 13:28 UTC (History)
5 users (show)

Fixed In Version: foreman-installer-1.24.1.5-1,tfm-rubygem-katello-3.14.0.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28834 Normal Closed Remove references to :cdn_proxy, HTTP proxy db seeds 2020-05-12 16:29:38 UTC
Foreman Issue Tracker 28837 Normal Closed Remove references to :cdn_proxy, HTTP proxy attributes 2020-05-12 16:29:38 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:48 UTC

Description Jameer Pathan 2020-01-20 07:07:47 UTC
Description of problem:
"Update HTTP Proxy details" tasks ends up in paused state (even after resuming the task using foreman-maintain's foreman-tasks-not-paused check) after satellite upgrade from 6.6 to 6.7 causing Foreman-maintain's "foreman-tasks-not-paused" check to be failed.

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 snap 8
- rubygem-foreman_maintain-0.5.1-1.el7sat.noarch
- tfm-rubygem-foreman-tasks-0.17.5.1-1.el7sat.noarch

How reproducible:
- Always

Steps to Reproduce:
1. Have satellite 6.6 with repos/products.(Reproducible in QE's upgrade automation)
2. Upgrade to 6.7 using foreman-maintain.
3. Foreman-maintain detects "Update HTTP Proxy details"  task in paused state.
4. Try to resume the task using foreman-maintain.
5. "Update HTTP Proxy details" goes into paused state even after resuming, causing foreman-maintain check to fail, in turn causing a unsuccessful upgrade. 

Actual results:
- "Update HTTP Proxy details" always ends up in paused state.

Expected results:
- "Update HTTP Proxy details" shouldn't be in paused state.

Additional info:
- Foreman-maintain issue BZ#1781128

Comment 7 Bryan Kearney 2020-01-22 17:06:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28834 has been resolved.

Comment 8 James Jeffers 2020-01-22 22:02:02 UTC
We still have 28837 to resolve.

Comment 9 Justin Sherrill 2020-01-23 17:05:35 UTC
BUILD TEAM: there are two issues that need cherry picking

Moving to post as upstream issue is merged

Comment 10 Justin Sherrill 2020-01-24 16:41:44 UTC
Patrick, I don't see a cherry pick for the installer (puppet-katello) change?

Comment 13 Jameer Pathan 2020-01-28 12:11:34 UTC
Verified

Verified with:
- Satellite 6.7.0 snap 10
- foreman-installer-1.24.1.5-1.el7sat.noarch

Test steps:
1. Have satellite 6.6 with repos/products.
2. Upgrade to 6.7 using foreman-maintain.

Observations:
- No paused task detected by foreman-maintain during update.
- Upgrade completed successfully.
- Http Proxy feature works as expected after upgrade.

Comment 17 errata-xmlrpc 2020-04-14 13:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.